View | Details | Raw Unified | Return to bug 250391
Collapse All | Expand All

(-)node/files/patch-configure (+19 lines)
Line 0 Link Here
1
--- configure.orig	2020-10-07 17:47:39 UTC
2
+++ configure
3
@@ -5,6 +5,7 @@
4
 # as is the fact that the ] goes on a new line.
5
 _=[ 'exec' '/bin/sh' '-c' '''
6
 test ${FORCE_PYTHON2} && exec python2 "$0" "$@"  # workaround for gclient
7
+command -v python3.9 >/dev/null && exec python3.9 "$0" "$@"
8
 command -v python3.8 >/dev/null && exec python3.8 "$0" "$@"
9
 command -v python3.7 >/dev/null && exec python3.7 "$0" "$@"
10
 command -v python3.6 >/dev/null && exec python3.6 "$0" "$@"
11
@@ -19,7 +20,7 @@ import sys
12
 from distutils.spawn import find_executable
13
 
14
 print('Node.js configure: Found Python {0}.{1}.{2}...'.format(*sys.version_info))
15
-acceptable_pythons = ((3, 8), (3, 7), (3, 6), (3, 5), (2, 7))
16
+acceptable_pythons = ((3, 9), (3, 8), (3, 7), (3, 6), (3, 5), (2, 7))
17
 if sys.version_info[:2] in acceptable_pythons:
18
   import configure
19
 else:

Return to bug 250391